ArenaEvent = ArenaEvent or {}

-- 更新循环赛的个人信息
ArenaEvent.UpdateMyLoopData = "ArenaEvent.UpdateMyLoopData"

-- 更新循环赛挑战次数奖励信息
ArenaEvent.UpdateLoopChallengeTimesList = "ArenaEvent.UpdateLoopChallengeTimesList"

-- 更新循环赛的挑战列表
ArenaEvent.UpdateLoopChallengeList = "ArenaEvent.UpdateLoopChallengeList"

-- 更新循环赛列表单元
ArenaEvent.UpdateLoopChallengeListItem = "ArenaEvent.UpdateLoopChallengeListItem"

-- 更新循环赛前三排行榜数据
ArenaEvent.UpdateLoopChallengeStatueList = "ArenaEvent.UpdateLoopChallengeStatueList"

-- 更新循环赛排行榜数据
ArenaEvent.UpdateLoopChallengeRank = "ArenaEvent:UpdateLoopChallengeRank "

-- 竞技场红点状态
ArenaEvent.UpdateArenaRedStatus = "ArenaEvent.UpdateArenaRedStatus"

--购买挑战劵返回
ArenaEvent.UpdateArena_Number = "ArenaEvent.UpdateArena_Number"

--挑战胜利事件
ArenaEvent.ArenaFightResultEvent = "ArenaEvent.ArenaFightResultEvent"
---------冠军赛

ArenaEvent.CheckFightInfoEvent = "ArenaEvent.CheckFightInfoEvent"
ArenaEvent.ChangeTanFromTop324 = "ArenaEvent.ChangeTanFromTop324"

-- 冠军赛基础信息时间
ArenaEvent.UpdateChampionBaseInfoEvent = "ArenaEvent.UpdateChampionBaseInfoEvent"
-- 个人基础信息
ArenaEvent.UpdateChampionRoleInfoEvent = "ArenaEvent.UpdateChampionRoleInfoEvent"
-- 更新冠军赛top3的数据
ArenaEvent.UpdateChampionTop3Event = "ArenaEvent.UpdateChampionTop3Event"
-- 更新我的选拔赛数据
ArenaEvent.UpdateMyMatchInfoEvent = "ArenaEvent.UpdateMyMatchInfoEvent"
-- 更新竞猜的比赛数据
ArenaEvent.UpdateGuessMatchInfoEvent = "ArenaEvent.UpdateGuessMatchInfoEvent"
-- 押注某场比赛的返回
ArenaEvent.UpdateBetMatchValueEvent = "ArenaEvent.UpdateBetMatchValueEvent"
-- 我的竞猜更新
ArenaEvent.UpdateMyGuessListEvent = "ArenaEvent.UpdateMyGuessListEvent"
-- 冠军赛排行榜
ArenaEvent.UpdateChampionRankEvent = "ArenaEvent.UpdateChampionRankEvent"
-- 32强数据
ArenaEvent.UpdateTop32InfoEvent = "ArenaEvent.UpdateTop32InfoEvent"
-- 4强数据
ArenaEvent.UpdateTop4InfoEvent = "ArenaEvent.UpdateTop4InfoEvent"
-- 32强或者4强赛竞猜位置信息
ArenaEvent.UpdateTop324GuessGroupEvent = "ArenaEvent.UpdateTop324GuessGroupEvent"
-- 32或者4强赛指定位置的信息
ArenaEvent.UpdateTop324GroupPosEvent = "ArenaEvent.UpdateTop324GroupPosEvent"
-- 冠军赛可押注资产变化
ArenaEvent.UpdateRoleInfoBetEvent = "ArenaEvent.UpdateRoleInfoBetEvent"
-- 我的战斗日志
ArenaEvent.UpdateMylogListEvent = "ArenaEvent.UpdateMylogListEvent"

 --- 一些常量
ArenaConst = ArenaConst or {}

-- 竞技场类型，分为循环赛和排名赛
ArenaConst.arena_type = 
{
    loop = 1,
    rank = 2
}

-- 循环赛窗体的标签值
ArenaConst.loop_index = 
{
    challenge = 1,
    activity = 2,
    rank = 3,
    awards = 4,
}

-- 红点状态
ArenaConst.red_type = {
    loop_challenge = 1,
    loop_artivity = 2,
    champion_guess = 3,         -- 冠军赛竞猜阶段红点
    loop_log = 4,
}

-- 冠军赛主窗体的标签
ArenaConst.champion_index = {
    my_match_ready = 1,
    guess = 2,
    match = 3,
    rank = 4,
    my_match = 5,
}

-- 冠军赛阶段状态
ArenaConst.champion_step_status = {
    unopened = 0, -- 未到时间 
    opened = 1,   -- 进行中
    over = 2,     -- 结束
}

ArenaConst.champion_round_status = {
    prepare = 1,        -- 准备阶段
    guess = 2,          -- 竞猜阶段
    fight = 3           -- 对战阶段
}

-- 冠军赛阶段
ArenaConst.champion_step = {
    unopened = 0, -- 未开始
    score = 1, -- 选拔赛
    match_32 = 32, -- 32强赛
    match_4 = 4, --4强赛
    match_64 = 64, -- 64强赛
    match_8 = 8,   -- 8强赛
}

ArenaConst.champion_my_status = {
    unopened = 0,   -- 未开启
    unjoin = 1,     -- 没资格
    in_match = 2,   -- 可pk
}

-- 冠军赛类型
ArenaConst.champion_type = {
    normal = 1,  -- 本服冠军赛
    cross = 2,   -- 跨服冠军赛
}

-- 购买物品界面类型
ArenaConst.view_type = {
    arena = 1,  -- 竞技场和跨服竞技场
    summon = 2, -- 召唤
    elfin = 3,  -- 精灵
}


-- 冠军赛阶段描述
function ArenaConst.getMatchStepDesc(step)
    if step == ArenaConst.champion_step.unopened then
        return UI_TI18N(67019)
    elseif step == ArenaConst.champion_step.score then 
        return UI_TI18N(67020)
    elseif step == ArenaConst.champion_step.match_64 then
        return UI_TI18N(67021)
    elseif step == ArenaConst.champion_step.match_32 then
        return UI_TI18N(67022)
    elseif step == ArenaConst.champion_step.match_8 then 
        return UI_TI18N(67023)
    elseif step == ArenaConst.champion_step.match_4 then 
        return UI_TI18N(67024)
    end
    return UI_TI18N(67019)
end

-- 冠军赛阶段描述 16强 8强 这样的
function ArenaConst.getMatchStepDesc2(step, round)
    if step == ArenaConst.champion_step.match_64 then
        if round <= 1 then
            return UI_TI18N(67022)
        elseif round == 2 then
            return UI_TI18N(67037)
        else
            return UI_TI18N(67023)
        end
    elseif step == ArenaConst.champion_step.match_32 then
        if round <= 1 then
            return UI_TI18N(67037)
        elseif round == 2 then
            return UI_TI18N(67023)
        else
            return UI_TI18N(67024)
        end
    elseif step == ArenaConst.champion_step.match_8 then
        if round == 1 then
            return UI_TI18N(67024)
        elseif round == 2 then
            return UI_TI18N(67038)
        elseif round == 3 then
            return UI_TI18N(67039)
        else
            return UI_TI18N(67040)
        end
    elseif step == ArenaConst.champion_step.match_4 then
        if round == 1 then
            return UI_TI18N(67038)
        elseif round == 2 then
            return UI_TI18N(67039)
        else
            return UI_TI18N(67040)
        end
    elseif step == ArenaConst.champion_step.score then
        if round == 0 then
            return StringFormat(UI_TI18N(67018), "")
        else
            return StringFormat(UI_TI18N(67025), ArenaConst.getMatchStepDesc(step), round)
        end
    elseif step == ArenaConst.champion_step.unopened then
        return StringFormat(UI_TI18N(67018), "")
    else
        return UI_TI18N(67019)
    end
end

-- 所在组的转换
function ArenaConst.getGroup(group)
    if group == 1 then
        return UI_TI18N(67027)
    elseif group == 2 then
        return UI_TI18N(67028)
    elseif group == 3 then
        return UI_TI18N(67029)
    elseif group == 4 then
        return UI_TI18N(67030)
    elseif group == 5 then
        return UI_TI18N(67031)
    elseif group == 6 then
        return UI_TI18N(67032)
    elseif group == 7 then
        return UI_TI18N(67033)
    elseif group == 8 then
        return UI_TI18N(67034)
    else
        return ""
    end
end

-- 冠军赛阶段状态描述
function ArenaConst.gw_getMatchStepStatusDesc(step, round_status)
    if step == ArenaConst.champion_step.unopened or step_status == ArenaConst.champion_step_status.unopened then
        return UI_TI18N(67014)
    else
        if round_status == ArenaConst.champion_round_status.prepare then
            return UI_TI18N(67015)
        elseif round_status == ArenaConst.champion_round_status.guess then
            return UI_TI18N(67016)
        elseif round_status == ArenaConst.champion_round_status.fight then
            return UI_TI18N(67017)
        else
            return UI_TI18N(67014)
        end
    end
end

--冠军赛阶段描述
function ArenaConst.gw_getArenaChampionStepDesc(step, view_type, step_status, round, rank, group, step_status_time)
    if step == ArenaConst.champion_step.unopened then
        local desc = StringFormat(UI_TI18N(67018), TimeTool.getMD2(step_status_time))
        if view_type == ArenaConst.champion_type.cross then
            desc = StringFormat(UI_TI18N(67018), TimeTool.getMD2(step_status_time))
        end
        return desc
    elseif step == ArenaConst.champion_step.score then
        if step_status == ArenaConst.champion_step_status.unopened then
            local desc = StringFormat(UI_TI18N(67018), TimeTool.getMD2(step_status_time))
            if view_type == ArenaConst.champion_type.cross then
                desc = StringFormat(UI_TI18N(67018), TimeTool.getMD2(step_status_time))
            end
            return desc
        elseif step_status == ArenaConst.champion_step_status.opened then
            return StringFormat(UI_TI18N(67025), ArenaConst.getMatchStepDesc(step), round)
        end
    elseif step == ArenaConst.champion_step.match_64 then
        if step_status == ArenaConst.champion_step_status.unopened then
            return UI_TI18N(67026)
        elseif step_status == ArenaConst.champion_step_status.opened then
            if round <= 1 then
                if rank > 64 then
                    return UI_TI18N(67022)
                else
                    return StringFormat("{0}{1}", UI_TI18N(67022), ArenaConst.getGroup(group))
                end
            elseif round == 2 then
                if rank > 32 then
                    return UI_TI18N(67035)
                else
                    return StringFormat("{0}{1}", UI_TI18N(67035), ArenaConst.getGroup(group))
                end
            elseif round == 3 then
                if rank > 16 then
                    return UI_TI18N(67023)
                else
                    return StringFormat("{0}{1}", UI_TI18N(67023), ArenaConst.getGroup(group))
                end
            end
        end
    elseif step == ArenaConst.champion_step.match_32 then
        if step_status == ArenaConst.champion_step_status.unopened then
            return UI_TI18N(67036)
        elseif step_status == ArenaConst.champion_step_status.opened then
            if round <= 1 then
                if rank > 32 then
                    return UI_TI18N(67037)
                else
                    return StringFormat("{0}{1}", UI_TI18N(67037), ArenaConst.getGroup(group))
                end
            elseif round == 2 then
                if rank > 16 then
                    return UI_TI18N(67023)
                else
                    return StringFormat("{0}{1}", UI_TI18N(67023), ArenaConst.getGroup(group))
                end
            elseif round == 3 then
                if rank > 8 then
                    return UI_TI18N(67024)
                else
                    return StringFormat("{0}{1}", UI_TI18N(67024), ArenaConst.getGroup(group))
                end
            end
        end
    elseif step == ArenaConst.champion_step.match_8 then
        if step_status == ArenaConst.champion_step_status.opened then
            if round == 1 then
                return UI_TI18N(67024)
            elseif round == 2 then
                return UI_TI18N(67038)
            elseif round == 3 then
                return UI_TI18N(67039)
            end
        elseif step_status == ArenaConst.champion_step_status.over then
            if view_type == ArenaConst.champion_type.normal then
                return UI_TI18N(67040)
            else
                return UI_TI18N(67040)
            end
        end
    elseif step == ArenaConst.champion_step.match_4 then
        if step_status == ArenaConst.champion_step_status.opened then
            if round == 1 then
                return UI_TI18N(67038)
            elseif round == 2 then
                return UI_TI18N(67039)
            end
        elseif step_status == ArenaConst.champion_step_status.over then
            if view_type == ArenaConst.champion_type.normal then
                return UI_TI18N(67040)
            else
                return UI_TI18N(67040)
            end
        end
    end
end

--冠军赛比赛记录结果文字描述
function ArenaConst.gw_getChampionMyLogResultDesc(step, score, round, ret)
    if step == ArenaConst.champion_step.score then
        return StringFormat(UI_TI18N(67060), score)
    elseif step == ArenaConst.champion_step.match_32 then--32强赛
        if round == 1 then
            if ret == 1 then--胜利
                return UI_TI18N(67063)
            elseif ret == 2 then--失败
                return UI_TI18N(67064)
            else
                return UI_TI18N(67073)
            end
        elseif round == 2 then
            if ret == 1 then--胜利
                return UI_TI18N(67065)
            elseif ret == 2 then--失败
                return UI_TI18N(67066)
            else
                return UI_TI18N(67073)
            end
        elseif round == 3 then
            if ret == 1 then--胜利
                return UI_TI18N(67067)
            elseif ret == 2 then--失败
                return UI_TI18N(67068)
            else
                return UI_TI18N(67073)
            end
        end
    elseif step == ArenaConst.champion_step.match_4 then--4强赛
        if round == 1 then
            if ret == 1 then--胜利
                return UI_TI18N(67069)
            elseif ret == 2 then--失败
                return UI_TI18N(67070)
            else
                return UI_TI18N(67073)
            end
        elseif round == 2 then
            if ret == 1 then--胜利
                return UI_TI18N(67071)
            elseif ret == 2 then--失败
                return UI_TI18N(67072)
            else
                return UI_TI18N(67073)
            end
        end
    elseif step == ArenaConst.champion_step.match_64 then--64强赛
        if round == 1 then
            if ret == 1 then--胜利
                return UI_TI18N(67061)
            elseif ret == 2 then--失败
                return UI_TI18N(67062)
            else
                return UI_TI18N(67073)
            end
        elseif round == 2 then
            if ret == 1 then--胜利
                return UI_TI18N(67063)
            elseif ret == 2 then--失败
                return UI_TI18N(67064)
            else
                return UI_TI18N(67073)
            end
        elseif round == 3 then
            if ret == 1 then--胜利
                return UI_TI18N(67065)
            elseif ret == 2 then--失败
                return UI_TI18N(67066)
            else
                return UI_TI18N(67073)
            end
        end
    elseif step == ArenaConst.champion_step.match_8 then--8强赛
        if round == 1 then
            if ret == 1 then--胜利
                return UI_TI18N(67067)
            elseif ret == 2 then--失败
                return UI_TI18N(67068)
            else
                return UI_TI18N(67073)
            end
        elseif round == 2 then
            if ret == 1 then--胜利
                return UI_TI18N(67069)
            elseif ret == 2 then--失败
                return UI_TI18N(67070)
            else
                return UI_TI18N(67073)
            end
        elseif round == 3 then
            if ret == 1 then--胜利
                return UI_TI18N(67071)
            elseif ret == 2 then--失败
                return UI_TI18N(67072)
            else
                return UI_TI18N(67073)
            end
        end
    end

    return ""
end