-- --------------------------------------------------------------------
-- @author: shiraho@syg.com(必填, 创建模块的人员)
-- @description:
--      32强赛的第二个标签内容,及4强赛的
-- <br/>Create: new Date().toISOString()
--
-- --------------------------------------------------------------------

ArenaChampionTop322View = class("ArenaChampionTop322View", function()
	return ccui.Layout:create()
end)

local table_insert = table.insert
local table_sort = table.sort
local game_net = GameNet:getInstance()
local string_format = string.format

function ArenaChampionTop322View:ctor(view_type)
	self.root_wnd = createCSBNote(PathTool.getTargetCSB("gw_arena/gw_arena_champion_top_32_2_view"))

    self.view_type = view_type or ArenaConst.champion_type.normal
    if self.view_type == ArenaConst.champion_type.normal then
        self.ctrl = ArenaController:getInstance()
        self.model = self.ctrl:getChampionModel()
    else
        self.ctrl = CrosschampionController:getInstance()
        self.model = self.ctrl:getModel()
    end
	
	self.size = self.root_wnd:getContentSize()
	self:setContentSize(self.size)
	
	self.root_wnd:setAnchorPoint(0.5, 0.5)
	self.root_wnd:setPosition(self.size.width * 0.5, self.size.height * 0.5)
	self:addChild(self.root_wnd)

    self.background = self.root_wnd:getChildByName("background")
    self.background:setScale(display.getMaxScale())
    local bg_res = PathTool.getPlistImgForDownLoad("gw_arena", "gw_arena_10_bg_Cup_champion", true)
    if not self.background_load then
        self.background_load = loadImageTextureFromCDN(self.background, bg_res, ResourcesType.single, self.background_load)
    end

	local container = self.root_wnd:getChildByName("container")

    self.champion_bg = container:getChildByName("champion_bg")
    local bg_res = PathTool.getPlistImgForDownLoad("gw_arena", "gw_arena_13_img_champion", false)
    if not self.champion_bg_load then
        self.champion_bg_load = loadSpriteTextureFromCDN(self.champion_bg, bg_res, ResourcesType.single, self.champion_bg_load)
    end
    self.line_spine_node = container:getChildByName("line_spine_node")
    self.line_spine_action = "0-jingtai"
    self.line_spine = gw_createEffectSpine("E90401", cc.p(0, 0), cc.p(0.5, 0.5), true, self.line_spine_action)
    --self.line_spine = gw_createEffectSpine("E90401", cc.p(0, 0), cc.p(0.5, 0.5), true, "1-siqiang")
    --self.line_spine = gw_createEffectSpine("E90401", cc.p(0, 0), cc.p(0.5, 0.5), true, "2-juesai")
    self.line_spine_node:addChild(self.line_spine)

    -- 找出属于每一个位置的线
    local lines = container:getChildByName("lines")
    self.pos_line_list = {}
    for i=1,6 do
        local pos_line = lines:getChildByName("gw_pos_line_"..i)
        local select = pos_line:getChildByName("select")
        select:setVisible(false)
        local object = {}
        object.select = select
        select:setVisible(false)
        self.pos_line_list[i] = object
    end

    -- 找出当前位角色底图和名字
    local roles = container:getChildByName("roles")
    self.role_pos_list = {}
    for i=1,7 do
        local role_pos = roles:getChildByName("gw_role_pos_"..i)
        local empty = role_pos:getChildByName("empty")
        local role_info = role_pos:getChildByName("role_info")
        local object = {}
        object.empty = empty
        object.empty_label = empty:getChildByName("label")
        object.role_info = role_info
        object.role_info_head_node = role_info:getChildByName("head_node")
        object.role_info_name = role_info:getChildByName("name")
        object.role_info_head_info = role_info:getChildByName("head_info")
        object.role_info_head_info_head_node = object.role_info_head_info:getChildByName("head_node")
        object.role_info_head_info_head = PlayerHead.new(PlayerHead.type.square, 0)
        object.role_info_head_info_head:setPosition(0, 0)
        object.role_info_head_info_head:setScale(1)
        object.role_info_head_info_head_node:addChild(object.role_info_head_info_head)
        object.role_info_head_info_lev = object.role_info_head_info:getChildByName("lev_bg"):getChildByName("lev_label")
        object.check_info = role_pos:getChildByName("check_info")
        if object.check_info then
            object.check_info_check_btn = object.check_info:getChildByName("check_btn")
            object.check_info:setVisible(false)
        end

        object.empty:setVisible(true)
        object.role_info:setVisible(false)
        self.role_pos_list[i] = object

        if object.role_info_head_info ~= nil then
            object.role_info_head_info:addTouchEventListener(function(sender, event_type)
                if event_type == ccui.TouchEventType.ended then
                    playButtonSound2()
                    if self.data_list then
                        if self.data_list[i] and self.data_list[i].rid and self.data_list[i].srv_id then
                            FriendController:getInstance():openFriendCheckPanel(true, {srv_id = self.data_list[i].srv_id, rid = self.data_list[i].rid, gw_is_hide_pk = true})
                        end
                    end
                end
            end)
        end
        if object.check_info_check_btn ~= nil then
            object.check_info_check_btn:addTouchEventListener(function(sender, event_type)
                customClickAction_4(sender, event_type)
                if event_type == ccui.TouchEventType.ended then
                    playButtonSound2()
                    if self.data_list then
                        GlobalEvent:getInstance():Fire(ArenaEvent.CheckFightInfoEvent, true, 0, 2*(i-4)-1)
                    end
                end
            end)
        end
    end

    for i=1,4 do
        local object = self.role_pos_list[i]
        object.empty_label:setString(UI_TI18N(67011))
    end
    for i=5,6 do
        local object = self.role_pos_list[i]
        object.empty_label:setString(UI_TI18N(67012))
    end
    for i=7,7 do
        local object = self.role_pos_list[i]
        object.empty_label:setString(UI_TI18N(67013))
    end

    self.panel_title = container:getChildByName("panel_title")
    self.panel_title:setVisible(false)
    self.time_info = container:getChildByName("time_info")
    self.time_info:setVisible(false)
    self.time_info_bg = self.time_info:getChildByName("bg")
    self.time_info_label = self.time_info:getChildByName("label")

    --self.guess_btn = container:getChildByName("guess_btn")
    --self.guess_btn:getChildByName("label"):setString(TI18N("竞猜"))
    --self.guess_btn:setVisible(false)
    --商店
    self.shop_btn = container:getChildByName("shop_btn")
    self.shop_btn_label = self.shop_btn:getChildByName("label")
    StringUtil.gw_setLabelContent(self.shop_btn_label, UI_TI18N(67002), 110)
    self.shop_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            if self.view_type == ArenaConst.champion_type.normal then
                MallController:getInstance():openMallPanel(true, MallConst.MallType.ArenaShop)
            else
                CrosschampionController:getInstance():openCrosschampionShopWindow(true)
            end
        end
    end)
    --名人堂
    self.rank_btn = container:getChildByName("rank_btn")
    self.rank_btn_label = self.rank_btn:getChildByName("label")
    StringUtil.gw_setLabelContent(self.rank_btn_label, UI_TI18N(67003), 110)
    self.rank_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            ArenaController:getInstance():gw_openArenaChampionRankHallWindow(true, self.view_type)
        end
    end)
    --竞猜
    self.guess_btn = container:getChildByName("guess_btn")
    self.guess_btn_redpoint = self.guess_btn:getChildByName("redpoint")
    self.guess_btn_label = self.guess_btn:getChildByName("label")
    StringUtil.gw_setLabelContent(self.guess_btn_label, UI_TI18N(67004), 110)
    self.guess_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            ArenaController:getInstance():openArenaChampionMatchWindow(true, ArenaConst.champion_index.guess, self.view_type)
            --ArenaController:getInstance():openArenaChampionMyGuessWindow(true, self.view_type)
        end
    end)
    --排行奖励
    self.rank_reward_btn = container:getChildByName("rank_reward_btn")
    self.rank_reward_btn_label = self.rank_reward_btn:getChildByName("label")
    StringUtil.gw_setLabelContent(self.rank_reward_btn_label, UI_TI18N(67005), 110)
    self.rank_reward_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            ArenaController:getInstance():openArenaChampionRankAwardsWindow(true, self.view_type, 2)
        end
    end)
    --我的竞赛
    self.my_battle_btn = container:getChildByName("my_battle_btn")
    self.my_battle_btn:setVisible(false)
    self.my_battle_btn_redpoint = self.my_battle_btn:getChildByName("redpoint")
    self.my_battle_btn_label = self.my_battle_btn:getChildByName("label")
    StringUtil.gw_setLabelContent(self.my_battle_btn_label, UI_TI18N(67006), 120)
    self.my_battle_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            ArenaController:getInstance():openArenaChampionMatchWindow(true, ArenaConst.champion_index.my_match, self.view_type)
        end
    end)
	self:registerEvent()
end

function ArenaChampionTop322View:registerEvent()
    --for k,check_btn in pairs(self.check_btn_list) do
    --    check_btn:addTouchEventListener(function(sender, event_type)
    --        if event_type == ccui.TouchEventType.ended then
    --            playButtonSound2()
    --            GlobalEvent:getInstance():Fire(ArenaEvent.CheckFightInfoEvent, true, 0, k)
    --        end
    --    end)
    --end
    --self.guess_btn:addTouchEventListener(function(sender, event_type)
    --    if event_type == ccui.TouchEventType.ended then
    --        playButtonSound2()
	--		GlobalEvent:getInstance():Fire(ArenaEvent.ChangeTanFromTop324)
    --    end
    --end)
end

function ArenaChampionTop322View:addToParent(status)
	self:setVisible(status)
    self:handleEvent(status)
end

function ArenaChampionTop322View:updateInfo(status)
    local base_info = self.model:getBaseInfo()
    local role_info = self.model:getRoleInfo()
    if base_info == nil or role_info == nil then return end

    if self.model:getMyMatchStatus() == ArenaConst.champion_my_status.in_match then
        if base_info.round_status == ArenaConst.champion_round_status.prepare then
            if self.view_type == ArenaConst.champion_type.normal then
                self.ctrl:requestMyChampionMatch()
            else
                self.ctrl:sender26202()
            end
        else
            self.my_battle_btn_redpoint:setVisible(false)
        end
        self.my_battle_btn:setVisible(true)
    else
        self.my_battle_btn:setVisible(false)
    end

    if base_info.round_status == ArenaConst.champion_round_status.guess then
        self.guess_btn_redpoint_spine = PathTool.gw_createRedpointSpine()
        self.guess_btn_redpoint:addChild(self.guess_btn_redpoint_spine)
        self.guess_btn_redpoint:setVisible(true)
    else
        self.guess_btn_redpoint:setVisible(false)
    end

    if base_info.step == ArenaConst.champion_step.match_64 and role_info.rank > 64 then
        --self.notice_label:setString(TI18N("您未进入64强"))
    elseif base_info.step == ArenaConst.champion_step.match_32 and role_info.rank > 32 then
        --self.notice_label:setString(TI18N("您未进入32强"))
    else
        if base_info.step == ArenaConst.champion_step.match_64 then
            if base_info.round == 2 and role_info.rank > 32 then
                --self.notice_label:setString(TI18N("您未进入32强"))
            elseif base_info.round == 3 and role_info.rank > 16 then
                --self.notice_label:setString(TI18N("您未进入16强"))
            else
                --self.my_battle_btn:setVisible(true)
                --self.notice_label:setVisible(false)
            end
        elseif base_info.step == ArenaConst.champion_step.match_32 then
            if base_info.round == 2 and role_info.rank > 16 then
                --self.notice_label:setString(TI18N("您未进入16强"))
            elseif base_info.round == 3 and role_info.rank > 8 then
                --self.notice_label:setString(TI18N("您未进入8强"))
            else
                --self.my_battle_btn:setVisible(true)
                --self.notice_label:setVisible(false)
            end
        elseif base_info.step == ArenaConst.champion_step.match_8 then
            if base_info.round == 1 and role_info.rank > 8 then
                --self.notice_label:setString(TI18N("您未进8强赛"))
            elseif base_info.round == 2 and role_info.rank > 4 then
                --self.notice_label:setString(TI18N("您未进入半决赛"))
            elseif base_info.round == 3 and role_info.rank > 2 then
                --self.notice_label:setString(TI18N("您未进入决赛"))
            else
                --self.my_battle_btn:setVisible(true)
                --self.notice_label:setVisible(false)
            end
        elseif base_info.step == ArenaConst.champion_step.match_4 then
            if base_info.round == 1 and role_info.rank > 4 then     -- 未进入4强强
                --self.notice_label:setString(TI18N("您未进4强赛"))
            elseif base_info.round == 2 and role_info.rank > 2 then -- 未进入决赛
                --self.notice_label:setString(TI18N("您未进入决赛"))
            else
                --self.my_battle_btn:setVisible(true)
                --self.notice_label:setVisible(false)
            end
        else
            --self.my_battle_btn:setVisible(true)
            --self.notice_label:setVisible(false)
        end
    end

	self.is_change_tab = status
	if status == true or base_info.flag ~= 0 then
        if self.view_type == ArenaConst.champion_type.normal then
            self.ctrl:requestTop4Info()
        else
            self.ctrl:sender26210()
        end
	end
end 

function ArenaChampionTop322View:handleEvent(status)
    if status == false then
        if self.update_top32_info_event ~= nil then
            GlobalEvent:getInstance():UnBind(self.update_top32_info_event)
            self.update_top32_info_event = nil
        end
        if self.update_324_guess_event ~= nil then
            GlobalEvent:getInstance():UnBind(self.update_324_guess_event)
            self.update_324_guess_event = nil
        end
        if self.update_my_match_info_event ~= nil then
            GlobalEvent:getInstance():UnBind(self.update_my_match_info_event)
            self.update_my_match_info_event = nil
        end
    else
        if self.update_top32_info_event == nil then
            self.update_top32_info_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateTop4InfoEvent, function(list)
				self:updateTop4Info(list)
            end)
        end

        if self.update_324_guess_event == nil then
            self.update_324_guess_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateTop324GuessGroupEvent, function(group,pos)
				if group ~= 0 or pos == 0 then return end
				self:updateCheckStatus(pos)
			end)
        end

        if self.update_my_match_info_event == nil then
            self.update_my_match_info_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateMyMatchInfoEvent, function(data)
                local my_battle_redpoint = false
                local base_info = self.model:getBaseInfo()
                local role_info = self.model:getRoleInfo()
                if base_info ~= nil and role_info ~= nil then
                    if self.model:getMyMatchStatus() == ArenaConst.champion_my_status.in_match and
                            base_info.round_status == ArenaConst.champion_round_status.prepare then
                        if getNorKey(base_info.step, base_info.round) == getNorKey(data.step, data.round) then
                            my_battle_redpoint = true
                        end
                    end
                end

                if my_battle_redpoint == true and self.my_battle_btn_redpoint_spine == nil then
                    self.my_battle_btn_redpoint_spine = PathTool.gw_createRedpointSpine()
                    self.my_battle_btn_redpoint:addChild(self.my_battle_btn_redpoint_spine)
                end
                self.my_battle_btn_redpoint:setVisible(my_battle_redpoint)
            end)
        end
    end
end

--==============================--
--desc:设置观看录像的位置
--time:2018-08-06 03:17:30
--@pos:
--@return 
--==============================--
function ArenaChampionTop322View:updateCheckStatus(pos)
	--local check_btn = self.check_btn_list[pos]
	--if check_btn then
    --    self.guess_btn:setPosition(check_btn:getPositionX(), check_btn:getPositionY())
	--end
end

--==============================--
--desc:设置4强数据
--time:2018-08-06 02:30:21
--@list:
--@return 
--==============================--
function ArenaChampionTop322View:updateTop4Info(list)
    self:updateBaseInfo()

    for i, line_pos in pairs(self.pos_line_list) do
        line_pos.select:setVisible(false)
    end
    for i,role_pos in pairs(self.role_pos_list) do
        role_pos.empty:setVisible(true)
        role_pos.role_info:setVisible(false)
        if role_pos.check_info then
            role_pos.check_info:setVisible(false)
        end
    end

    self.data_list = list
	if list == nil or next(list) == nil then
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
        return
    end
	-- 排一下序
    local pos_list = list
    table_sort(pos_list, function(a, b) 
        return a.pos < b.pos
    end)
    for k,role_pos in pairs(self.role_pos_list) do
        local pos_info = pos_list[k]
        if pos_info then
            role_pos.role_info_head_info_head:setHeadRes(pos_info.face, false, LOADTEXT_TYPE, pos_info.face_file, pos_info.face_update_time)
            role_pos.role_info_head_info_lev:setString(pos_info.lev)
            role_pos.role_info_head_info_head:gw_showHeadFrame(pos_info.avatar_bid or pos_info.avatar_id)
            StringUtil.gw_setRoleNickName(role_pos.role_info_name, pos_info.name, 130)
            if role_pos.check_info_check_btn then
                local check_btn_x = 22 - (50 + role_pos.role_info_name:getContentSize().width)/2
                role_pos.check_info_check_btn:setPositionX(check_btn_x)
                local role_info_name_x = 45 - (50 + role_pos.role_info_name:getContentSize().width)/2
                role_pos.role_info_name:setPositionX(role_info_name_x)
            end

            if pos_info.ret == 0 then -- 未打
                setChildUnEnabled(false, role_pos.role_info_head_info_head)
            elseif pos_info.ret == 1 then -- 胜利
                if self.pos_line_list[k] then
                    self.pos_line_list[k].select:setVisible(true)
                end
                setChildUnEnabled(false, role_pos.role_info_head_info_head)
            elseif pos_info.ret == 2 then --失败
                setChildUnEnabled(true, role_pos.role_info_head_info_head)
            end

            role_pos.empty:setVisible(false)
            role_pos.role_info:setVisible(true)
        end
    end

	-- 请求一下竞猜数据
    if self.view_type == ArenaConst.champion_type.normal then
        self.ctrl:requestGuessGroupInfo() 
    else
        self.ctrl:sender26211() 
    end

    local base_info = self.model:getBaseInfo()
    if base_info == nil then
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
        return
    end
    if base_info.step == ArenaConst.champion_step.unopened then--未开始
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
    elseif base_info.step == ArenaConst.champion_step.score then--选拔赛
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
        for i,role_pos in pairs(self.role_pos_list) do
            role_pos.empty:setVisible(true)
            role_pos.role_info:setVisible(false)
        end
        for i, line_pos in pairs(self.pos_line_list) do
            line_pos.select:setVisible(false)
        end
    elseif base_info.step == ArenaConst.champion_step.match_32 then--32强赛
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
        for i,role_pos in pairs(self.role_pos_list) do
            role_pos.empty:setVisible(true)
            role_pos.role_info:setVisible(false)
        end
        for i, line_pos in pairs(self.pos_line_list) do
            line_pos.select:setVisible(false)
        end
    elseif base_info.step == ArenaConst.champion_step.match_4 then--4强赛
        if base_info.round <= 0 then
            if self.line_spine_action ~= "0-jingtai" then
                self.line_spine_action = "0-jingtai"
                self.line_spine:setAnimation(0, self.line_spine_action, true)
            end
        elseif base_info.round <= 1 then
            if self.line_spine_action ~= "1-siqiang" then
                self.line_spine_action = "1-siqiang"
                self.line_spine:setAnimation(0, self.line_spine_action, true)
            end
        elseif base_info.round <= 2 then
            if self.line_spine_action ~= "2-juesai" then
                self.line_spine_action = "2-juesai"
                self.line_spine:setAnimation(0, self.line_spine_action, true)
            end
        else
            if self.line_spine_action ~= "0-jingtai" then
                self.line_spine_action = "0-jingtai"
                self.line_spine:setAnimation(0, self.line_spine_action, true)
            end
        end

        if base_info.round <= 0 then
            for k=5,6 do
                local object = self.role_pos_list[k]
                object.check_info:setVisible(true)
            end
        elseif base_info.round <= 1 then
            for k=5,6 do
                local pos_info = pos_list[k]
                local object = self.role_pos_list[k]
                if pos_info == nil or pos_info.ret == 0 then -- 未打
                    object.check_info:setVisible(false)
                elseif pos_info.ret == 1 then -- 胜利
                    object.check_info_check_btn:setPositionX(0)
                    object.check_info:setVisible(true)
                elseif pos_info.ret == 2 then --失败
                    object.check_info_check_btn:setPositionX(0)
                    object.check_info:setVisible(true)
                end
            end
        else
            for k=5,6 do
                local object = self.role_pos_list[k]
                object.check_info:setVisible(true)
            end
        end

        if base_info.round <= 0 then
            for k=7,7 do
                local object = self.role_pos_list[k]
                object.check_info:setVisible(true)
            end
        elseif base_info.round <= 1 then
        elseif base_info.round <= 2 then
            for k=7,7 do
                local pos_info = pos_list[k]
                local object = self.role_pos_list[k]
                if pos_info == nil or pos_info.ret == 0 then -- 未打
                    object.check_info:setVisible(false)
                elseif pos_info.ret == 1 then -- 胜利
                    object.check_info_check_btn:setPositionX(0)
                    object.check_info:setVisible(true)
                elseif pos_info.ret == 2 then --失败
                    object.check_info_check_btn:setPositionX(0)
                    object.check_info:setVisible(true)
                end
            end
        else
            for k=7,7 do
                local object = self.role_pos_list[k]
                object.check_info:setVisible(true)
            end
        end
    elseif base_info.step == ArenaConst.champion_step.match_64 then--64强赛
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
        for i,role_pos in pairs(self.role_pos_list) do
            role_pos.empty:setVisible(true)
            role_pos.role_info:setVisible(false)
        end
        for i, line_pos in pairs(self.pos_line_list) do
            line_pos.select:setVisible(false)
        end
    elseif base_info.step == ArenaConst.champion_step.match_8 then--8强赛
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
    else--未知状态
        if self.line_spine_action ~= "0-jingtai" then
            self.line_spine_action = "0-jingtai"
            self.line_spine:setAnimation(0, self.line_spine_action, true)
        end
        for i,role_pos in pairs(self.role_pos_list) do
            role_pos.empty:setVisible(true)
            role_pos.role_info:setVisible(false)
            if role_pos.check_info then
                role_pos.check_info:setVisible(false)
            end
        end
        for i, line_pos in pairs(self.pos_line_list) do
            line_pos.select:setVisible(false)
        end
    end
end

function ArenaChampionTop322View:DeleteMe()
    self:clearTimeTicket()
    if self.background_load then
        self.background_load:DeleteMe()
        self.background_load = nil
    end
    if self.line_spine then
        self.line_spine:clearTracks()
        self.line_spine:removeFromParent()
        self.line_spine = nil
    end
    if self.champion_bg_load then
        self.champion_bg_load:DeleteMe()
        self.champion_bg_load = nil
    end
    if self.my_battle_btn_redpoint_spine then
        self.my_battle_btn_redpoint_spine:clearTracks()
        self.my_battle_btn_redpoint_spine:removeFromParent()
        self.my_battle_btn_redpoint_spine = nil
    end
    if self.guess_btn_redpoint_spine then
        self.guess_btn_redpoint_spine:clearTracks()
        self.guess_btn_redpoint_spine:removeFromParent()
        self.guess_btn_redpoint_spine = nil
    end
	self:handleEvent(false)
end

function ArenaChampionTop322View:updateBaseInfo()
    self.panel_title:setVisible(false)
    self.time_info:setVisible(false)
    local base_info = self.model:getBaseInfo()
    if base_info == nil then return end

    self.panel_title:setVisible(true)
    self:setChampionStepInfo()
    if (base_info.step == ArenaConst.champion_step.match_4 or base_info.step == ArenaConst.champion_step.match_8) and base_info.step_status == ArenaConst.champion_step_status.over then
        self:clearTimeTicket()
        self.time_info:setVisible(false)
    else
        self.time_info:setVisible(true)
        if self.time_ticket == nil then
            self.time_ticket = GlobalTimeTicket:getInstance():add(function()
                self:countDownTimeTicket()
            end, 1)
        end
        self:countDownTimeTicket()
    end
end
--==============================--
--desc:移除时间计时器
--time:2018-08-04 04:40:58
--@return
--==============================--
function ArenaChampionTop322View:clearTimeTicket()
	if self.time_ticket ~= nil then
		GlobalTimeTicket:getInstance():remove(self.time_ticket)
		self.time_ticket = nil
	end
end

function ArenaChampionTop322View:countDownTimeTicket()
	local base_info = self.model:getBaseInfo()
	if base_info == nil then
		self:clearTimeTicket()
		return
	end
    local end_time = game_net:getTime()

    if base_info.step == ArenaConst.champion_step.unopened then
        end_time = base_info.round_status_time
    elseif base_info.step == ArenaConst.champion_step.score and base_info.step_status == ArenaConst.champion_step_status.unopened then
        end_time = base_info.step_status_time
    else
        end_time = base_info.round_status_time
    end
	local less_time = end_time - game_net:getTime()
	if less_time < 0 then
		less_time = 0
		self:clearTimeTicket()
	end

    local str_format = ArenaConst.gw_getMatchStepStatusDesc(base_info.step, base_info.round_status)
    local str = StringFormat(str_format, TimeTool.GetTimeFormat(less_time))
    --if base_info.step == ArenaConst.champion_step.unopened or base_info.step_status == ArenaConst.champion_step_status.unopened then
    --    str = string_format(TI18N("距离开始:%s"), TimeTool.GetTimeFormat(less_time))
    --else
    --    if base_info.round_status == ArenaConst.champion_round_status.prepare then
    --        str = string_format(TI18N("准备阶段:%s"), TimeTool.GetTimeFormat(less_time))
    --    elseif base_info.round_status == ArenaConst.champion_round_status.guess then
    --        str = string_format(TI18N("竞猜阶段:%s"), TimeTool.GetTimeFormat(less_time))
    --    else
    --        str = string_format(TI18N("比赛阶段:%s"), TimeTool.GetTimeFormat(less_time))
    --    end
    --end
    --self.time_info_label:setString(str)
    StringUtil.gw_setLabelContent(self.time_info_label, str, 220)
    local max_width = self.time_info_label:getContentSize().width + 10
    if max_width < 164 then max_width = 164 end
    if max_width > 230 then max_width = 230 end
    self.time_info_bg:setContentSize(cc.size(max_width, 34))
end

--==============================--
--desc:设置冠军赛阶段显示,这里需要判断自己是否进入了对应的阶段
--time:2018-08-04 05:44:04
--@return
--==============================--
function ArenaChampionTop322View:setChampionStepInfo()
    local base_info = self.model:getBaseInfo()
    local role_info = self.model:getRoleInfo()
    if base_info == nil or role_info == nil then return end

    local panel_title_str = ArenaConst.gw_getArenaChampionStepDesc(base_info.step, self.view_type, base_info.step_status, base_info.round, role_info.rank, role_info.group, base_info.round_status_time)
    StringUtil.gw_setLabelContent(self.panel_title, panel_title_str, 280)
end