---
--- Generated by EmmyLua(https://github.com/EmmyLua)
--- Created by gw.
--- DateTime: 2022/7/11 15:41
--- 冠军赛竞猜界面
GW_ArenaChampionGuessWindow = GW_ArenaChampionGuessWindow or BaseClass(BaseView)

local role_vo = RoleController:getInstance():getRoleVo()

local string_format = string.format
local table_sort = table.sort
local table_insert = table.insert
local table_remove = table.remove
local game_net = GameNet:getInstance()

function GW_ArenaChampionGuessWindow:__init()
    --self.ctrl = GW_ArenaHallController:getInstance()
    self.is_full_screen = true
    self.layout_name = "gw_arena/gw_arena_champion_guess_window"

    self.res_list = {
        { path = PathTool.getPlistImgForDownLoad("gw_arena", "gw_arena"), type = ResourcesType.plist},
        { path = PathTool.getPlistImgForDownLoad("gw_battle", "gw_battle"), type = ResourcesType.plist},
        { path = PathTool.getPlistImgForDownLoad("gw_arena","gw_arena_29_bg_ring", false), type = ResourcesType.single },
        { path = PathTool.getPlistImgForDownLoad("gw_arena","gw_arena_28_bg_sports", true), type = ResourcesType.single },
    }

end

--@view_type ArenaConst.champion_type
function GW_ArenaChampionGuessWindow:openRootWnd(view_type)
    self.view_type = view_type or ArenaConst.champion_type.normal
    if self.view_type == ArenaConst.champion_type.normal then
        self.ctrl = ArenaController:getInstance()
        self.model = self.ctrl:getChampionModel()
    else
        self.ctrl = CrosschampionController:getInstance()
        self.model = self.ctrl:getModel()
    end

    self.base_info = nil

    self.is_change_tab = false

    self:updateInfo()
end

function GW_ArenaChampionGuessWindow:open_callback()
    self.background = self.root_wnd:getChildByName("background")
    self.background:setScale(display.getMaxScale())
    self.container = self.root_wnd:getChildByName("container")
    self.champion_bg = self.container:getChildByName("champion_bg")
    self.champion_bg:setPositionY(display.getBottom() + 80)
    self.bottom_infos = self.container:getChildByName("bottom_infos")
    self.bottom_infos:setPositionY(display.getBottom())
    self.top_infos = self.container:getChildByName("top_infos")
    self.top_infos:setPositionY(display.getTop())
    self.left_hallow_elfin_infos = self.container:getChildByName("left_hallow_elfin_infos")
    self.left_hallow_elfin_infos:setPositionX(display.getLeft())
    self.left_hallow_elfin_infos:setPositionY(display.getTop())
    self.right_hallow_elfin_infos = self.container:getChildByName("right_hallow_elfin_infos")
    self.right_hallow_elfin_infos:setPositionX(display.getRight() - 124)
    self.right_hallow_elfin_infos:setPositionY(display.getTop())
    self.close_btn = self.container:getChildByName("close_btn")
    self.close_btn:setPositionX(display.getRight() - 66)
    self.close_btn:setPositionY(display.getTop() - 47)

    --背景
    local bg_res = PathTool.getPlistImgForDownLoad("gw_arena", "gw_arena_28_bg_sports", true)
    if not self.background_load then
        self.background_load = loadImageTextureFromCDN(self.background, bg_res, ResourcesType.single, self.background_load)
    end
    local champion_bg_res = PathTool.getPlistImgForDownLoad("gw_arena", "gw_arena_29_bg_ring", false)
    if not self.champion_bg_load then
        self.champion_bg_load = loadSpriteTextureFromCDN(self.champion_bg, champion_bg_res, ResourcesType.single, self.champion_bg_load)
    end


    --关闭
    self.close_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            self.ctrl:gw_openArenaChampionGuessWindow(false)
        end
    end)

    --左边精灵神器信息
    self.left_hallow_elfin_infos = self.container:getChildByName("left_hallow_elfin_infos")
    self.left_hallow_elfin_infos:setVisible(false)
    --神器信息
    self.left_hallow_info = self.left_hallow_elfin_infos:getChildByName("hallow_info")
    self.left_hallow_info_icon = self.left_hallow_info:getChildByName("icon")
    self.left_hallow_info_icon:setVisible(false)
    self.left_hallow_info_redpoint = self.left_hallow_info:getChildByName("redpoint")
    --精灵信息
    self.left_elfin_item_list = {}
    for i=1,4 do
        self.left_elfin_item_list[i] = self.left_hallow_elfin_infos:getChildByName("elfin_item"..i)
        self.left_elfin_item_list[i].active_info = self.left_elfin_item_list[i]:getChildByName("active")
        self.left_elfin_item_list[i].active_info:setVisible(false)
        self.left_elfin_item_list[i].active_icon = self.left_elfin_item_list[i].active_info:getChildByName("icon")
    end
    --右边精灵神器信息
    self.right_hallow_elfin_infos = self.container:getChildByName("right_hallow_elfin_infos")
    self.right_hallow_elfin_infos:setVisible(false)
    --神器信息
    self.right_hallow_info = self.right_hallow_elfin_infos:getChildByName("hallow_info")
    self.right_hallow_info_icon = self.right_hallow_info:getChildByName("icon")
    self.right_hallow_info_icon:setVisible(false)
    self.right_hallow_info_redpoint = self.right_hallow_info:getChildByName("redpoint")
    --精灵信息
    self.right_elfin_item_list = {}
    for i=1,4 do
        self.right_elfin_item_list[i] = self.right_hallow_elfin_infos:getChildByName("elfin_item"..i)
        self.right_elfin_item_list[i].active_info = self.right_elfin_item_list[i]:getChildByName("active")
        self.right_elfin_item_list[i].active_info:setVisible(false)
        self.right_elfin_item_list[i].active_icon = self.right_elfin_item_list[i].active_info:getChildByName("icon")
    end

    --左边玩家信息
    self.left_role_infos = self.top_infos:getChildByName("left_role_infos")
    self.left_role_infos:setVisible(false)
    local role_info = self.left_role_infos:getChildByName("role_info")
    self.left_role_infos_role_info = role_info
    self.left_role_infos_role_info_head_node = role_info:getChildByName("head_node")
    self.left_role_infos_role_info_name = role_info:getChildByName("name")
    self.left_role_infos_role_info_head_info = role_info:getChildByName("head_info")
    self.left_role_infos_role_info_head_info_head_node = self.left_role_infos_role_info_head_info:getChildByName("head_node")
    self.left_role_infos_role_info_head_info_head = PlayerHead.new(PlayerHead.type.square, 0)
    self.left_role_infos_role_info_head_info_head:setPosition(0, 0)
    self.left_role_infos_role_info_head_info_head:setScale(1)
    self.left_role_infos_role_info_head_info_head_node:addChild(self.left_role_infos_role_info_head_info_head)
    self.left_role_infos_role_info_head_info_lev = self.left_role_infos_role_info_head_info:getChildByName("lev_bg"):getChildByName("lev_label")
    if self.left_role_infos_role_info_head_info ~= nil then
        self.left_role_infos_role_info_head_info:addTouchEventListener(function(sender, event_type)
            if event_type == ccui.TouchEventType.ended then
                playButtonSound2()
                if self.data ~= nil then
                    if self.data.a_srv_id then
                        FriendController:getInstance():openFriendCheckPanel(true, {srv_id = self.data.a_srv_id, rid = self.data.a_rid, gw_is_hide_pk = true})
                    else

                    end
                end
            end
        end)
    end
    self.left_role_infos_power_icon = self.left_role_infos:getChildByName("power_icon")
    self.left_role_infos_power_label = CommonNum.new(104, self.left_role_infos_power_icon, nil, -18, cc.p(1, 0.5))
    self.left_role_infos_power_label:setPosition(cc.p(-3,39))
    self.left_role_infos_power_label:setScale(0.6)
    self.left_role_infos_rank = self.left_role_infos:getChildByName("rank")
    self.left_role_infos_rank:setString("")

    --右边玩家信息
    self.right_role_infos = self.top_infos:getChildByName("right_role_infos")
    self.right_role_infos:setVisible(false)
    local role_info = self.right_role_infos:getChildByName("role_info")
    self.right_role_infos_role_info = role_info
    self.right_role_infos_role_info_head_node = role_info:getChildByName("head_node")
    self.right_role_infos_role_info_name = role_info:getChildByName("name")
    self.right_role_infos_role_info_head_info = role_info:getChildByName("head_info")
    self.right_role_infos_role_info_head_info_head_node = self.right_role_infos_role_info_head_info:getChildByName("head_node")
    self.right_role_infos_role_info_head_info_head = PlayerHead.new(PlayerHead.type.square, 0)
    self.right_role_infos_role_info_head_info_head:setPosition(0, 0)
    self.right_role_infos_role_info_head_info_head:setScale(1)
    self.right_role_infos_role_info_head_info_head_node:addChild(self.right_role_infos_role_info_head_info_head)
    self.right_role_infos_role_info_head_info_lev = self.right_role_infos_role_info_head_info:getChildByName("lev_bg"):getChildByName("lev_label")
    if self.right_role_infos_role_info_head_info ~= nil then
        self.right_role_infos_role_info_head_info:addTouchEventListener(function(sender, event_type)
            if event_type == ccui.TouchEventType.ended then
                playButtonSound2()
                if self.data ~= nil then
                    if self.data.b_srv_id then
                        FriendController:getInstance():openFriendCheckPanel(true, {srv_id = self.data.b_srv_id, rid = self.data.b_rid, gw_is_hide_pk = true})
                    else

                    end
                end
            end
        end)
    end
    self.right_role_infos_power_icon = self.right_role_infos:getChildByName("power_icon")
    self.right_role_infos_power_label = CommonNum.new(104, self.right_role_infos_power_icon, nil, -18, cc.p(0, 0.5))
    self.right_role_infos_power_label:setPosition(cc.p(40,39))
    self.right_role_infos_power_label:setScale(0.6)
    self.right_role_infos_rank = self.right_role_infos:getChildByName("rank")
    self.right_role_infos_rank:setString("")

    --左边上阵英雄信息
    self.left_hero_infos = self.bottom_infos:getChildByName("left_hero_infos")
    self.left_hero_infos_pos_list = {}
    for i=1,9 do
        self.left_hero_infos_pos_list[i] = self.left_hero_infos:getChildByName("pos"..i)
    end
    --右边上阵英雄信息
    self.right_hero_infos = self.bottom_infos:getChildByName("right_hero_infos")
    self.right_hero_infos:setVisible(false)
    self.right_hero_infos_pos_list = {}
    for i=1,9 do
        self.right_hero_infos_pos_list[i] = self.right_hero_infos:getChildByName("pos"..i)
    end
    --右边没有上阵英雄显示问号
    self.right_hero_empty = self.bottom_infos:getChildByName("right_hero_empty")
    self.right_hero_empty:setVisible(false)


    self.panel_title = self.bottom_infos:getChildByName("panel_title")
    self.time_info = self.bottom_infos:getChildByName("time_info")
    self.time_info_bg = self.time_info:getChildByName("bg")
    self.time_info_label = self.time_info:getChildByName("label")

    --观看按钮
    self.watch_btn = self.bottom_infos:getChildByName("watch_btn")
    self.watch_btn:setVisible(false)
    self.watch_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()

            local base_info = self.model:getBaseInfo()
            if self.data and base_info then
                if self.data.ret == 0 then
                    if self.view_type == ArenaConst.champion_type.normal then
                        BattleController:getInstance():csRecordBattle(self.data.replay_id)
                    else
                        BattleController:getInstance():csRecordBattle(self.data.replay_id, base_info.srv_id)
                    end
                else
                    ArenaController:getInstance():openArenaChampionReportWindow(true, self.data, self.view_type)
                end
            end
        end
    end)

    --查看战斗数据按钮
    self.check_btn = self.bottom_infos:getChildByName("check_btn")
    self.check_btn:setVisible(false)
    self.check_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()

            local base_info = self.model:getBaseInfo()
            if self.data and base_info then
                if self.data.ret == 0 then
                    if self.view_type == ArenaConst.champion_type.normal then
                        BattleController:getInstance():csRecordBattle(self.data.replay_id)
                    else
                        BattleController:getInstance():csRecordBattle(self.data.replay_id, base_info.srv_id)
                    end
                else
                    ArenaController:getInstance():openArenaChampionReportWindow(true, self.data, self.view_type)
                end
            end
        end
    end)

    --记录按钮
    self.record_btn = self.top_infos:getChildByName("record_btn")
    self.record_btn:addTouchEventListener(function(sender, event_type)
        customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            ArenaController:getInstance():openArenaChampionMyGuessWindow(true, self.view_type)
        end
    end)
    self.record_btn_label = self.record_btn:getChildByName("label")
    StringUtil.gw_setLabelContent(self.record_btn_label, UI_TI18N(67046), 190)

    self.left_progress = self.bottom_infos:getChildByName("left_progress")

    self.left_guess_btn = self.bottom_infos:getChildByName("left_guess_btn")
    self.left_guess_btn:addTouchEventListener(function(sender, event_type)
        --customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            if self.guess_bet_type ~= 0 then
                message(UI_TI18N(67047))
            else
                local base_info = self.model:getBaseInfo()
                local role_info = self.model:getRoleInfo()
                if base_info and role_info and self.data then
                    if base_info.round_status == ArenaConst.champion_round_status.guess then
                        local data = {}
                        data.name = self.data.a_name
                        data.srv_id = self.data.a_srv_id
                        data.rid = self.data.a_rid
                        data.can_bet = role_info.can_bet
                        data.bet_ratio = self.data.a_bet_ratio
                        data.bet_type = 1
                        data.face = self.data.a_face
                        data.face_file = self.data.a_face_file
                        data.face_update_time = self.data.a_face_update_time
                        data.lev = self.data.a_lev
                        ArenaController:getInstance():openArenaChampionGuessWindow(true, data, self.view_type)
                    else
                        message(UI_TI18N(67048))
                    end
                end
            end
        end
    end)
    self.left_guess_btn:setVisible(false)
    self.left_guess_btn_rate_label = self.left_guess_btn:getChildByName("rate_label")
    self.left_guess_btn_dice_icon = self.left_guess_btn:getChildByName("dice_icon")
    self.left_guess_btn_dice_label = self.left_guess_btn:getChildByName("dice_label")
    self.left_guess_btn_dice_label:setString(UI_TI18N(67049))
    local scale = 1
    local total_width = self.left_guess_btn_dice_label:getContentSize().width + 61
    if total_width > 270 then
        scale = 270/total_width
    end
    self.left_guess_btn_dice_icon:setPositionX(174 - total_width*scale/2)
    self.left_guess_btn_dice_label:setPositionX(self.left_guess_btn_dice_icon:getPositionX() + 61*scale)
    self.left_guess_btn_disable1 = self.bottom_infos:getChildByName("left_guess_btn_disable1")
    self.left_guess_btn_disable1:setVisible(false)
    setChildUnEnabled(true, self.left_guess_btn_disable1:getChildByName("bg"))
    self.left_guess_btn_disable1_rate_label = self.left_guess_btn_disable1:getChildByName("rate_label")
    self.left_guess_btn_disable1_dice_icon = self.left_guess_btn_disable1:getChildByName("dice_icon")
    self.left_guess_btn_disable1_dice_label = self.left_guess_btn_disable1:getChildByName("dice_label")
    self.left_guess_btn_disable1_dice_label:setString(UI_TI18N(67049))
    local scale = 1
    local total_width = self.left_guess_btn_disable1_dice_label:getContentSize().width + 61
    if total_width > 270 then
        scale = 270/total_width
    end
    self.left_guess_btn_disable1_dice_icon:setPositionX(174 - total_width*scale/2)
    self.left_guess_btn_disable1_dice_label:setPositionX(self.left_guess_btn_disable1_dice_icon:getPositionX() + 61*scale)
    self.left_guess_btn_disable2 = self.bottom_infos:getChildByName("left_guess_btn_disable2")
    self.left_guess_btn_disable2:setVisible(false)
    setChildUnEnabled(true, self.left_guess_btn_disable2:getChildByName("bg"))
    self.left_guess_btn_disable2_rate_label = self.left_guess_btn_disable2:getChildByName("rate_label")
    self.left_guess_btn_disable2_dice_icon = self.left_guess_btn_disable2:getChildByName("dice_icon")
    self.left_guess_btn_disable2_dice_label = self.left_guess_btn_disable2:getChildByName("dice_label")
    self.left_guess_btn_disable2_dice_label:setString(UI_TI18N(67050))
    local scale = 1
    local total_width = self.left_guess_btn_disable2_dice_label:getContentSize().width + 61
    if total_width > 270 then
        scale = 270/total_width
    end
    self.left_guess_btn_disable2_dice_icon:setPositionX(174 - total_width*scale/2)
    self.left_guess_btn_disable2_dice_label:setPositionX(self.left_guess_btn_disable2_dice_icon:getPositionX() + 61*scale)

    self.right_guess_btn = self.bottom_infos:getChildByName("right_guess_btn")
    self.right_guess_btn:addTouchEventListener(function(sender, event_type)
        --customClickAction_4(sender, event_type)
        if event_type == ccui.TouchEventType.ended then
            playButtonSound2()
            if self.guess_bet_type ~= 0 then
                message(UI_TI18N(67047))
            else
                local base_info = self.model:getBaseInfo()
                local role_info = self.model:getRoleInfo()
                if base_info and role_info and self.data then
                    if base_info.round_status == ArenaConst.champion_round_status.guess then
                        local data = {}
                        data.name = self.data.b_name
                        data.srv_id = self.data.b_srv_id
                        data.rid = self.data.b_rid
                        data.can_bet = role_info.can_bet
                        data.bet_ratio = self.data.b_bet_ratio
                        data.bet_type = 2
                        data.face = self.data.b_face
                        data.face_file = self.data.b_face_file
                        data.face_update_time = self.data.b_face_update_time
                        data.lev = self.data.b_lev
                        ArenaController:getInstance():openArenaChampionGuessWindow(true, data, self.view_type)
                    else
                        message(UI_TI18N(67048))
                    end
                end
            end
        end
    end)
    self.right_guess_btn:setVisible(false)
    self.right_guess_btn_rate_label = self.right_guess_btn:getChildByName("rate_label")
    self.right_guess_btn_dice_icon = self.right_guess_btn:getChildByName("dice_icon")
    self.right_guess_btn_dice_label = self.right_guess_btn:getChildByName("dice_label")
    self.right_guess_btn_dice_label:setString(UI_TI18N(67049))
    local scale = 1
    local total_width = self.right_guess_btn_dice_label:getContentSize().width + 61
    if total_width > 270 then
        scale = 270/total_width
    end
    self.right_guess_btn_dice_icon:setPositionX(174 - total_width*scale/2)
    self.right_guess_btn_dice_label:setPositionX(self.right_guess_btn_dice_icon:getPositionX() + 61*scale)
    self.right_guess_btn_disable1 = self.bottom_infos:getChildByName("right_guess_btn_disable1")
    self.right_guess_btn_disable1:setVisible(false)
    setChildUnEnabled(true, self.right_guess_btn_disable1:getChildByName("bg"))
    self.right_guess_btn_disable1_rate_label = self.right_guess_btn_disable1:getChildByName("rate_label")
    self.right_guess_btn_disable1_dice_icon = self.right_guess_btn_disable1:getChildByName("dice_icon")
    self.right_guess_btn_disable1_dice_label = self.right_guess_btn_disable1:getChildByName("dice_label")
    self.right_guess_btn_disable1_dice_label:setString(UI_TI18N(67049))
    local scale = 1
    local total_width = self.right_guess_btn_disable1_dice_label:getContentSize().width + 61
    if total_width > 270 then
        scale = 270/total_width
    end
    self.right_guess_btn_disable1_dice_icon:setPositionX(174 - total_width*scale/2)
    self.right_guess_btn_disable1_dice_label:setPositionX(self.right_guess_btn_disable1_dice_icon:getPositionX() + 61*scale)
    self.right_guess_btn_disable2 = self.bottom_infos:getChildByName("right_guess_btn_disable2")
    self.right_guess_btn_disable2:setVisible(false)
    setChildUnEnabled(true, self.right_guess_btn_disable2:getChildByName("bg"))
    self.right_guess_btn_disable2_rate_label = self.right_guess_btn_disable2:getChildByName("rate_label")
    self.right_guess_btn_disable2_dice_icon = self.right_guess_btn_disable2:getChildByName("dice_icon")
    self.right_guess_btn_disable2_dice_label = self.right_guess_btn_disable2:getChildByName("dice_label")
    self.right_guess_btn_disable2_dice_label:setString(UI_TI18N(67050))
    local scale = 1
    local total_width = self.right_guess_btn_disable2_dice_label:getContentSize().width + 61
    if total_width > 270 then
        scale = 270/total_width
    end
    self.right_guess_btn_disable2_dice_icon:setPositionX(174 - total_width*scale/2)
    self.right_guess_btn_disable2_dice_label:setPositionX(self.right_guess_btn_disable2_dice_icon:getPositionX() + 61*scale)

    self.guess_point_tips_label = self.bottom_infos:getChildByName("guess_point_tips_label")
    StringUtil.gw_setLabelContent(self.guess_point_tips_label, UI_TI18N(67051), 340)
    self.guess_point = self.bottom_infos:getChildByName("guess_point")
    self.guess_point_icon = self.guess_point:getChildByName("icon")
    self.guess_point_label = self.guess_point:getChildByName("label")
    local scale = self.guess_point_tips_label:getScale()
    local total_width = self.guess_point_tips_label:getContentSize().width*scale + 10 + 188
    self.guess_point_tips_label:setPositionX(640 - total_width/2)
    self.guess_point:setPositionX(640 + total_width/2 - 188)
    local item_id = Config.ItemData.data_assets_label2id["arena_coin"]
    local item_config = Config.ItemData.data_get_data(item_id)
    local res = PathTool.getItemRes(item_config.icon, false)
    loadSpriteTexture(self.guess_point_icon, res, LOADTEXT_TYPE)

    self.left_win_flag = self.bottom_infos:getChildByName("left_win_flag")
    self.left_lose_flag = self.bottom_infos:getChildByName("left_lose_flag")
    self.right_win_flag = self.bottom_infos:getChildByName("right_win_flag")
    self.right_lose_flag = self.bottom_infos:getChildByName("right_lose_flag")
    self.left_win_flag:setVisible(false)
    self.left_lose_flag:setVisible(false)
    self.right_win_flag:setVisible(false)
    self.right_lose_flag:setVisible(false)

    ----播放窗口动画
    --self:playEnterAnimatianByObj(self.root_wnd , 1)
end

function GW_ArenaChampionGuessWindow:register_event()

    if self.update_guess_match_event == nil then
        self.update_guess_match_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateGuessMatchInfoEvent, function(data)
            self:updateFightInfo(data)
        end)
    end
    if self.update_role_info_bet_event == nil then
        self.update_role_info_bet_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateRoleInfoBetEvent, function(can_bet, bet_type)
            --can_bet = can_bet or 0
            --self.guess_value:setString(can_bet)
            StringUtil.gw_setLabelContent(self.guess_point_label, can_bet, 130)
            self:changeGuessBtnStatus(bet_type)
            --Debug.info(can_bet)
            --Debug.info(bet_type)
        end)
    end
    if self.bet_match_value_event == nil then
        self.bet_match_value_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateBetMatchValueEvent, function(data)
            local a_bet = data.a_bet or 0
            local b_bet = data.b_bet or 0
            local str = string_format(UI_TI18N(67052), data.a_bet_ratio / 1000)
            StringUtil.gw_setLabelContent(self.left_guess_btn_rate_label, str, 280)
            StringUtil.gw_setLabelContent(self.left_guess_btn_disable1_rate_label, str, 280)
            StringUtil.gw_setLabelContent(self.left_guess_btn_disable2_rate_label, str, 280)
            --self.left_total_value:setString(str)
            local str = string_format(UI_TI18N(67052), data.b_bet_ratio / 1000)
            StringUtil.gw_setLabelContent(self.right_guess_btn_rate_label, str, 280)
            StringUtil.gw_setLabelContent(self.right_guess_btn_disable1_rate_label, str, 280)
            StringUtil.gw_setLabelContent(self.right_guess_btn_disable2_rate_label, str, 280)
            --self.right_total_value:setString(str)
            if self.data then
                self.data.a_bet_ratio = data.a_bet_ratio
                self.data.b_bet_ratio = data.b_bet_ratio
            end

            -- 设置竞猜值
            local total_bet = a_bet + b_bet
            if total_bet == 0 then
                self.left_progress:setContentSize(cc.size(268, 36))
                --self.progress_bar:setPercent(50)
            else
                self.left_progress:setContentSize(cc.size(536*a_bet / total_bet, 36))
                --self.progress_bar:setPercent(100 * a_bet / total_bet)
            end
        end)
    end

    --if self.update_my_match_info_event == nil then
    --    self.update_my_match_info_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateMyMatchInfoEvent, function(data)
    --        self:updateFightInfo(data)
    --    end)
    --end
    --
    -- 更新个人信息
    if self.update_role_info_event == nil then
        self.update_role_info_event = GlobalEvent:getInstance():Bind(ArenaEvent.UpdateChampionRoleInfoEvent, function(data)
            self:updateInfo()
        end)
    end

end

function GW_ArenaChampionGuessWindow:close_callback()
    self.base_info = nil
    self:clearTimeTicket()
    doStopAllActions(self.left_hero_infos)
    doStopAllActions(self.right_hero_infos)
    if self.left_hero_infos_pos_list then
        for i,v in pairs(self.left_hero_infos_pos_list) do
            if v.hero_spine then
                v.hero_spine:DeleteMe()
            end
        end
        self.left_hero_infos_pos_list = nil
    end
    if self.right_hero_infos_pos_list then
        for i,v in pairs(self.right_hero_infos_pos_list) do
            if v.hero_spine then
                v.hero_spine:DeleteMe()
            end
        end
        self.right_hero_infos_pos_list = nil
    end

    --if self.update_my_match_info_event  then
    --    GlobalEvent:getInstance():UnBind(self.update_my_match_info_event)
    --    self.update_my_match_info_event = nil
    --end
    if self.update_role_info_event  then
        GlobalEvent:getInstance():UnBind(self.update_role_info_event)
        self.update_role_info_event = nil
    end

    if self.update_guess_match_event ~= nil then
        GlobalEvent:getInstance():UnBind(self.update_guess_match_event)
        self.update_guess_match_event = nil
    end
    -- if self.role_vo_update_event ~= nil then
    --     role_vo:UnBind(self.role_vo_update_event)
    --     self.role_vo_update_event = nil
    -- end
    if self.bet_match_value_event ~= nil then
        GlobalEvent:getInstance():UnBind(self.bet_match_value_event)
        self.bet_match_value_event = nil
    end
    if self.update_role_info_bet_event then
        GlobalEvent:getInstance():UnBind(self.update_role_info_bet_event)
        self.update_role_info_bet_event = nil
    end

    if self.background_load then
        self.background_load:DeleteMe()
        self.background_load = nil
    end
    if self.champion_bg_load then
        self.champion_bg_load:DeleteMe()
        self.champion_bg_load = nil
    end

    if self.left_role_infos_role_info_head_info_head then
        self.left_role_infos_role_info_head_info_head:DeleteMe()
        self.left_role_infos_role_info_head_info_head = nil
    end
    if self.right_role_infos_role_info_head_info_head then
        self.right_role_infos_role_info_head_info_head:DeleteMe()
        self.right_role_infos_role_info_head_info_head = nil
    end

    self.ctrl:gw_openArenaChampionGuessWindow(false)
end
--==============================--
--desc:移除ui这个操作只有在切换账号的时候触发
--time:2021-06-29 10:51:38
--@return
--==============================--
function GW_ArenaChampionGuessWindow:__delete()
end

--==============================--
--desc:主界面更新数据或者切换的时候触发
--==============================--
function GW_ArenaChampionGuessWindow:updateInfo()
    --if self.model:getMyMatchStatus() ~= ArenaConst.champion_my_status.in_match then
    --    self.ctrl:gw_openArenaChampionGuessWindow(false)
    --    return
    --end

    self:clearTimeTicket()
    self.panel_title:setVisible(false)
    self.time_info:setVisible(false)

    local base_info = self.model:getBaseInfo()
    local role_info = self.model:getRoleInfo()
    if base_info == nil or role_info == nil then return end

    if self.view_type == ArenaConst.champion_type.normal then
        self.ctrl:requestGuessChampionMatch()
    else
        self.ctrl:sender26203()
    end

    self.panel_title:setVisible(true)
    self:setChampionStepInfo()
    if (base_info.step == ArenaConst.champion_step.match_4 or base_info.step == ArenaConst.champion_step.match_8) and base_info.step_status == ArenaConst.champion_step_status.over then
        self:clearTimeTicket()
        self.time_info:setVisible(false)
    else
        self.time_info:setVisible(true)
        if self.time_ticket == nil then
            self.time_ticket = GlobalTimeTicket:getInstance():add(function()
                self:countDownTimeTicket()
            end, 1)
        end
        self:countDownTimeTicket()
    end

    StringUtil.gw_setLabelContent(self.guess_point_label, role_info.can_bet, 130)
    --self.guess_value:setString(role_info.can_bet)

    --self:setChampionMyStepStatusInfo()
end
--==============================--
--desc:设置对战数据
--==============================--
function GW_ArenaChampionGuessWindow:updateFightInfo(data)
    --Debug.info("updateFightInfo")
    if data == nil then return end
    --Debug.info(data)
    self:changeGuessBtnStatus(data.bet_type)

    local base_info = self.model:getBaseInfo()
    if self.base_info ~= nil and
            data.replay_id ~= 0 and
            getNorKey(base_info.step, base_info.round) == getNorKey(data.step, data.round) and
            getNorKey(base_info.step, base_info.round) == getNorKey(self.base_info.step, self.base_info.round) and
            self.base_info.round_status == ArenaConst.champion_round_status.guess and
            base_info.round_status == ArenaConst.champion_round_status.fight and
            getNorKey(base_info.step, base_info.round) == getNorKey(self.base_info.step, self.base_info.round) then
        if self.view_type == ArenaConst.champion_type.normal then
            BattleController:getInstance():csRecordBattle(data.replay_id)
        else
            BattleController:getInstance():csRecordBattle(data.replay_id, base_info.srv_id)
        end
    end

    self.base_info = base_info

    -- 判断一下是否需要做数据的更新
    if self.data then
        if getNorKey(self.data.step, self.data.round, self.data.replay_id, self.data.a_power, self.data.ret) == getNorKey(data.step, data.round, data.replay_id, data.a_power, data.ret) then
            return
        end
    end

    self.is_save_form = false
    self.data = data
    --local base_info = self.model:getBaseInfo()
    --if base_info and base_info.flag == 2 and data.replay_id ~= 0 and getNorKey(base_info.step, base_info.round) == getNorKey(data.step, data.round) then   -- 这个时候要切换观战模式
    --    if self.view_type == ArenaConst.champion_type.normal then
    --        BattleController:getInstance():csRecordBattle(data.replay_id)
    --    else
    --        BattleController:getInstance():csRecordBattle(data.replay_id, base_info.srv_id)
    --    end
    --end

    self:setBothSidesBaseInfo()
    self:setLeftPartnerInfo()
    self:setRightPartnerInfo()
end

--==============================--
--desc:更新双方的基础数据,姓名,等级阵法之类的
--==============================--
function GW_ArenaChampionGuessWindow:setBothSidesBaseInfo()

    self.left_role_infos:setVisible(false)
    self.right_role_infos:setVisible(false)
    self.left_hallow_elfin_infos:setVisible(false)
    self.right_hallow_elfin_infos:setVisible(false)

    local base_info = self.model:getBaseInfo()
    if self.data == nil or base_info == nil then return end

    --刷新左边玩家信息
    StringUtil.gw_setRoleNickName2(self.left_role_infos_role_info_name, self.data.a_name)
    self.left_role_infos_role_info_head_info_head:setHeadRes(self.data.a_face, false, LOADTEXT_TYPE, self.data.a_face_file, self.data.a_face_update_time)
    self.left_role_infos_role_info_head_info_lev:setString(self.data.a_lev)
    self.left_role_infos_role_info_head_info_head:gw_showHeadFrame(self.data.a_avatar_id)
    self.left_role_infos_power_label:setNum(self.data.a_power)
    --神器信息
    local hallows_config = nil
    if self.data.a_hallows_id and self.data.a_hallows_id ~= 0 then
        hallows_config = Config.HallowsData.data_base[self.data.a_hallows_id]
    end
    if hallows_config ~= nil then
        if self.data.a_hallows_look_id and self.data.a_hallows_look_id ~= 0 then
            local magic_cfg = Config.HallowsData.data_magic[self.data.a_hallows_look_id]
            if magic_cfg then
                local magic_item_config = Config.ItemData.data_get_data(magic_cfg.item_id)
                local head_icon = PathTool.getItemRes(magic_item_config.icon, false)
                loadSpriteTexture(self.hallow_info_icon, head_icon, LOADTEXT_TYPE)
            else
                local magic_item_config = Config.ItemData.data_get_data(hallows_config.item_id)
                local head_icon = PathTool.getItemRes(magic_item_config.icon, false)
                loadSpriteTexture(self.hallow_info_icon, head_icon, LOADTEXT_TYPE)
            end
        else
            local magic_item_config = Config.ItemData.data_get_data(hallows_config.item_id)
            local head_icon = PathTool.getItemRes(magic_item_config.icon, false)
            loadSpriteTexture(self.left_hallow_info_icon, head_icon, LOADTEXT_TYPE)
        end
        self.left_hallow_info_icon:setVisible(true)
    else
        self.left_hallow_info_icon:setVisible(false)
    end
    --精灵信息
    local tree_lv = self.data.a_sprite_lev or 0
    --left_object.elfin_tree_lv:setString(TI18N("古树等级：") .. tree_lv)
    for i=1,4 do
        local elfin_skill_item = self.left_elfin_item_list[i]
        local is_open = ElfinController:getInstance():getModel():getElfinItemByPos(i)
        self:setElfinSkillItemData(elfin_skill_item, self.data.a_sprites, i, is_open)
    end


    --刷新右边玩家信息
    StringUtil.gw_setRoleNickName2(self.right_role_infos_role_info_name, self.data.b_name)
    self.right_role_infos_role_info_head_info_head:setHeadRes(self.data.b_face, false, LOADTEXT_TYPE, self.data.b_face_file, self.data.b_face_update_time)
    self.right_role_infos_role_info_head_info_lev:setString(self.data.b_lev)
    self.right_role_infos_role_info_head_info_head:gw_showHeadFrame(self.data.b_avatar_id)
    self.right_role_infos_power_label:setNum(self.data.b_power)
    --神器信息
    local hallows_config = nil
    if self.data.b_hallows_id and self.data.b_hallows_id ~= 0 then
        hallows_config = Config.HallowsData.data_base[self.data.b_hallows_id]
    end
    if hallows_config ~= nil then
        if self.data.b_hallows_look_id and self.data.b_hallows_look_id ~= 0 then
            local magic_cfg = Config.HallowsData.data_magic[self.data.b_hallows_look_id]
            if magic_cfg then
                local magic_item_config = Config.ItemData.data_get_data(magic_cfg.item_id)
                local head_icon = PathTool.getItemRes(magic_item_config.icon, false)
                loadSpriteTexture(self.hallow_info_icon, head_icon, LOADTEXT_TYPE)
            else
                local magic_item_config = Config.ItemData.data_get_data(hallows_config.item_id)
                local head_icon = PathTool.getItemRes(magic_item_config.icon, false)
                loadSpriteTexture(self.hallow_info_icon, head_icon, LOADTEXT_TYPE)
            end
        else
            local magic_item_config = Config.ItemData.data_get_data(hallows_config.item_id)
            local head_icon = PathTool.getItemRes(magic_item_config.icon, false)
            loadSpriteTexture(self.left_hallow_info_icon, head_icon, LOADTEXT_TYPE)
        end
        self.left_hallow_info_icon:setVisible(true)
    else
        self.left_hallow_info_icon:setVisible(false)
    end
    --精灵信息
    local tree_lv = self.data.b_sprite_lev or 0
    --right_object.elfin_tree_lv:setString(TI18N("古树等级：") .. tree_lv)
    for i=1,4 do
        local elfin_skill_item = self.right_elfin_item_list[i]
        self:setElfinSkillItemData(elfin_skill_item, self.data.b_sprites, i)
    end

    local str = string_format(UI_TI18N(67052), self.data.a_bet_ratio/1000)
    StringUtil.gw_setLabelContent(self.left_guess_btn_rate_label, str, 280)
    StringUtil.gw_setLabelContent(self.left_guess_btn_disable1_rate_label, str, 280)
    StringUtil.gw_setLabelContent(self.left_guess_btn_disable2_rate_label, str, 280)
    local str = string_format(UI_TI18N(67052), self.data.b_bet_ratio/1000)
    StringUtil.gw_setLabelContent(self.right_guess_btn_rate_label, str, 280)
    StringUtil.gw_setLabelContent(self.right_guess_btn_disable1_rate_label, str, 280)
    StringUtil.gw_setLabelContent(self.right_guess_btn_disable2_rate_label, str, 280)
    -- 设置竞猜值
    local total_bet = self.data.a_bet + self.data.b_bet
    if total_bet == 0 then
        self.left_progress:setContentSize(cc.size(268, 36))
        --self.progress_bar:setPercent(50)
    else
        self.left_progress:setContentSize(cc.size(536*self.data.a_bet / total_bet, 36))
        --self.progress_bar:setPercent(100 * self.data.a_bet / total_bet)
    end

    self.watch_btn:setVisible(false)
    self.check_btn:setVisible(false)
    self.left_win_flag:setVisible(false)
    self.left_lose_flag:setVisible(false)
    self.right_win_flag:setVisible(false)
    self.right_lose_flag:setVisible(false)
    -- 胜利状态
    if self.data.ret == 0 then--未出结果
        --self.success_img:setVisible(false)
        if self.data.replay_id == 0 then
        --    self.check_btn:setVisible(false)
        --    self.vs:setVisible(true)
        else
            self.watch_btn:setVisible(true)
        --    self.check_btn:loadTexture(PathTool.getResFrame("arena","arenachampion_1029",false,"arenachampion"), LOADTEXT_TYPE_PLIST)
        --    self.check_btn:setVisible(true)
        --    self.vs:setVisible(false)
        end
    else--已出结果
        local function do_callback()
            --if not tolua.isnull(self.success_img) then
            --    -- if self.data.step == base_info.step and self.data.round == base_info.round and base_info.round_status == ArenaConst.champion_round_status.fight then
            --    --     self.success_img:setVisible(false)
            --    -- else
            --    --     self.success_img:setVisible(true)
            --    -- end
            --    self.check_btn:loadTexture(PathTool.getResFrame("arena","arenachampion_1031",false,"arenachampion"), LOADTEXT_TYPE_PLIST)
            --    self.success_img:setVisible(true)
            --    self.check_btn:setVisible(true)
            --    self.vs:setVisible(false)
                self.check_btn:setVisible(true)
                if self.data.ret == 1 then -- 胜利
                    self.left_win_flag:setVisible(true)
                    self.right_lose_flag:setVisible(true)
                    --self.success_img:setPosition(self.success_left_pos)
                else
                    self.left_lose_flag:setVisible(true)
                    self.right_win_flag:setVisible(true)
                    --self.success_img:setPosition(self.success_right_pos)
                end
            --end
        end
        --if need_delay == true then
        --    delayRun(self.main_panel,1,do_callback)
        --else
            do_callback()
        --end
    end

    if self.data.a_rid and self.data.a_rid > 0 then
        self.left_hallow_elfin_infos:setVisible(true)
        self.left_role_infos:setVisible(true)
    end
    if self.data.b_rid and self.data.b_rid > 0 then
        self.right_hallow_elfin_infos:setVisible(true)
        self.right_role_infos:setVisible(true)
    end
end

function GW_ArenaChampionGuessWindow:setElfinSkillItemData( skill_item, sprite_data, pos, is_open)
    local elfin_bid = self:getElfinBidByPos(sprite_data, pos)
    if elfin_bid or is_open ~= nil then
        elfin_bid = elfin_bid or 0

        skill_item.active_icon:setVisible(false)
        --skill_item:showLockIcon(false)
        local elfin_cfg = Config.SpriteData.data_elfin_data(elfin_bid)
        if elfin_bid == 0 or not elfin_cfg then -- 已解锁，但未放置精灵
            --skill_item:setData()
            --skill_item:showLevel(false)
        else
            local skill_cfg = Config.SkillData.data_get_skill(elfin_cfg.skill)
            if skill_cfg then
                --skill_item:showLevel(true)
                --skill_item:setData(skill_cfg)
                local skill_icon = PathTool.getSkillRes(skill_cfg.icon, false)
                loadSpriteTexture(skill_item.active_icon, skill_icon, LOADTEXT_TYPE)
                skill_item.active_icon:setVisible(true)
            end
        end

        skill_item.active_info:setVisible(true)
    else
        skill_item.active_info:setVisible(false)
        --skill_item:setData()
        --skill_item:showLevel(false)
        --skill_item:showLockIcon(true)
    end
end

-- 根据位置获取精灵的bid
function GW_ArenaChampionGuessWindow:getElfinBidByPos( sprite_data, pos )
    if not sprite_data or next(sprite_data) == nil then return end
    for k,v in pairs(sprite_data) do
        if v.pos == pos then
            return v.item_bid
        end
    end
end

--==============================--
--desc:设置左边伙伴的站位
--time:2018-08-04 04:36:08
--@return
--==============================--
function GW_ArenaChampionGuessWindow:setLeftPartnerInfo()
    for i,pos in pairs(self.left_hero_infos_pos_list) do
        if self:getPosData(i, self.data.a_plist) == nil then
            pos:setVisible(false)
        end
    end
    doStopAllActions(self.left_hero_infos)
    if self.data and self.data.a_plist then
        for i,v in pairs(self.data.a_plist) do
            delayRun(self.left_hero_infos, 0.02*i,function ()
                local pos_item = self.left_hero_infos_pos_list[v.pos]
                if pos_item.hero_spine == nil then
                    pos_item.hero_spine = GW_HeroSpineItem.new(1, false)
                    pos_item.hero_spine:setPosition(cc.p(0, 0))
                    pos_item:addChild(pos_item.hero_spine)
                end

                pos_item.hero_spine:setData(v)
                pos_item:setVisible(true)
            end)
        end
    end
end

--==============================--
--desc:更新右边的阵法
--time:2018-08-04 04:42:39
--@return
--==============================--
function GW_ArenaChampionGuessWindow:setRightPartnerInfo()
    doStopAllActions(self.right_hero_infos)
    if self.data and self.data.b_plist then
        for i,pos in pairs(self.right_hero_infos_pos_list) do
            if self:getPosData(i, self.data.b_plist) == nil then
                pos:setVisible(false)
            end
        end
        for i,v in pairs(self.data.b_plist) do
            delayRun(self.right_hero_infos, 0.02*(i+6),function ()
                local pos_item = self.right_hero_infos_pos_list[v.pos]
                if pos_item.hero_spine == nil then
                    pos_item.hero_spine = GW_HeroSpineItem.new(1, false)
                    pos_item.hero_spine:setPosition(cc.p(0, 0))
                    pos_item.hero_spine:overTurnXSpine(true)
                    pos_item:addChild(pos_item.hero_spine)
                end

                pos_item.hero_spine:setData(v)
                pos_item:setVisible(true)
            end)
        end
        self.right_hero_infos:setVisible(true)
        self.right_hero_empty:setVisible(false)
    else
        self.right_hero_infos:setVisible(false)
        self.right_hero_empty:setVisible(true)
    end
end

function GW_ArenaChampionGuessWindow:getPosData(pos, list_data)
    if list_data == nil then
        return nil
    end

    for i,v in pairs(list_data) do
        if v.pos == pos then
            return v
        end
    end

    return nil
end

--==============================--
--desc:设置冠军赛阶段显示,这里需要判断自己是否进入了对应的阶段
function GW_ArenaChampionGuessWindow:setChampionStepInfo()
    local base_info = self.model:getBaseInfo()
    local role_info = self.model:getRoleInfo()
    if base_info == nil or role_info == nil then return end

    local panel_title_str = ArenaConst.gw_getArenaChampionStepDesc(base_info.step, self.view_type, base_info.step_status, base_info.round, role_info.rank, role_info.group, base_info.round_status_time)
    StringUtil.gw_setLabelContent(self.panel_title, panel_title_str, 280)
end
--==============================--
--desc:移除时间计时器
function GW_ArenaChampionGuessWindow:clearTimeTicket()
    if self.time_ticket ~= nil then
        GlobalTimeTicket:getInstance():remove(self.time_ticket)
        self.time_ticket = nil
    end
end
function GW_ArenaChampionGuessWindow:countDownTimeTicket()
    local base_info = self.model:getBaseInfo()
    if base_info == nil then
        self:clearTimeTicket()
        return
    end
    local end_time = game_net:getTime()

    if base_info.step == ArenaConst.champion_step.unopened then
        end_time = base_info.round_status_time
    elseif base_info.step == ArenaConst.champion_step.score and base_info.step_status == ArenaConst.champion_step_status.unopened then
        end_time = base_info.step_status_time
    else
        end_time = base_info.round_status_time
    end
    local less_time = end_time - game_net:getTime()
    if less_time < 0 then
        less_time = 0
        self:clearTimeTicket()
    end

    local str_format = ArenaConst.gw_getMatchStepStatusDesc(base_info.step, base_info.round_status)
    local str = StringFormat(str_format, TimeTool.GetTimeFormat(less_time))
    --if base_info.step == ArenaConst.champion_step.unopened or base_info.step_status == ArenaConst.champion_step_status.unopened then
    --    str = string_format(TI18N("距离开始:%s"), TimeTool.GetTimeFormat(less_time))
    --else
    --    if base_info.round_status == ArenaConst.champion_round_status.prepare then
    --        str = string_format(TI18N("准备阶段:%s"), TimeTool.GetTimeFormat(less_time))
    --    elseif base_info.round_status == ArenaConst.champion_round_status.guess then
    --        str = string_format(TI18N("竞猜阶段:%s"), TimeTool.GetTimeFormat(less_time))
    --    else
    --        str = string_format(TI18N("比赛阶段:%s"), TimeTool.GetTimeFormat(less_time))
    --    end
    --end
    StringUtil.gw_setLabelContent(self.time_info_label, str, 220)
    local max_width = self.time_info_label:getContentSize().width + 10
    if max_width < 164 then max_width = 164 end
    if max_width > 230 then max_width = 230 end
    self.time_info_bg:setContentSize(cc.size(max_width, 34))
end


--==============================--
--desc:设置竞猜状态
--time:2018-08-07 07:53:03
--@bet_type:
--@return
--==============================--
function GW_ArenaChampionGuessWindow:changeGuessBtnStatus(bet_type)
    self.left_guess_btn:setVisible(false)
    self.left_guess_btn_disable1:setVisible(false)
    self.left_guess_btn_disable2:setVisible(false)
    self.right_guess_btn:setVisible(false)
    self.right_guess_btn_disable1:setVisible(false)
    self.right_guess_btn_disable2:setVisible(false)
    bet_type = bet_type or 0
    --if self.guess_bet_type == bet_type then return end
    self.guess_bet_type = bet_type


    local base_info = self.model:getBaseInfo()
    local role_info = self.model:getRoleInfo()
    if base_info and role_info then
        if base_info.round_status == ArenaConst.champion_round_status.guess then
            if bet_type == 0 then
                self.left_guess_btn:setVisible(true)
                self.right_guess_btn:setVisible(true)
            else
                if bet_type == 1 then--猜了左边
                    self.left_guess_btn_disable2:setVisible(true)
                    self.right_guess_btn_disable1:setVisible(true)
                else--猜了右边
                    self.left_guess_btn_disable1:setVisible(true)
                    self.right_guess_btn_disable2:setVisible(true)
                end
            end
        else--不可押注阶段
            if bet_type == 0 then--未押注
                self.left_guess_btn_disable1:setVisible(true)
                self.right_guess_btn_disable1:setVisible(true)
            else
                if bet_type == 1 then--猜了左边
                    self.left_guess_btn_disable2:setVisible(true)
                    self.right_guess_btn_disable1:setVisible(true)
                else--猜了右边
                    self.left_guess_btn_disable1:setVisible(true)
                    self.right_guess_btn_disable2:setVisible(true)
                end
            end
        end
    else
        self.left_guess_btn_disable1:setVisible(true)
        self.right_guess_btn_disable1:setVisible(true)
    end

    --if bet_type == 0 then
    --    self.left_guess_btn_label:setString(TI18N("竞猜"))
    --    self.right_guess_btn_label:setString(TI18N("竞猜"))
    --else
    --    if bet_type == 1 then
    --        self.left_guess_btn_label:setString(TI18N("已竞猜"))
    --        self.right_guess_btn_label:setString(TI18N("竞猜"))
    --    else
    --        self.left_guess_btn_label:setString(TI18N("竞猜"))
    --        self.right_guess_btn_label:setString(TI18N("已竞猜"))
    --    end
    --end



    -- if bet_type ~= 0 then
    --     self.left_guess_btn:setTouchEnabled(false)
    --     setChildUnEnabled(true, self.left_guess_btn)
    --     self.right_guess_btn:setTouchEnabled(false)
    --     setChildUnEnabled(true, self.right_guess_btn)
    --     if bet_type == 1 then
    --         self.left_guess_btn_label:setString(TI18N("已竞猜"))
    --         self.right_guess_btn_label:setString(TI18N("竞猜"))
    --     else
    --         self.left_guess_btn_label:setString(TI18N("竞猜"))
    --         self.right_guess_btn_label:setString(TI18N("已竞猜"))
    --     end
    -- else
    --     self.left_guess_btn:setTouchEnabled(true)
    --     setChildUnEnabled(false, self.left_guess_btn)
    --     self.right_guess_btn:setTouchEnabled(true)
    --     setChildUnEnabled(false, self.right_guess_btn)
    --     self.left_guess_btn_label:setTextColor(cc.c4b(0xd6,0xfb,0xff,0xff))
    --     self.right_guess_btn_label:setTextColor(cc.c4b(0xd6,0xfb,0xff,0xff))
    --     self.left_guess_btn_label:setString(TI18N("竞猜"))
    --     self.right_guess_btn_label:setString(TI18N("竞猜"))
    -- end
end

